# latex_curriculum_vitae

## DESCRIPTION:

latex_curriculum_vitae is a Rubygem which help you to write your job applications. The program aks you for all relevant data for compiling
the curriculum vitae. It builds the motivational letter (if chosen in the gui), the cover and the cv. The resulting pdf will be found
in your home directory. Also it generates an email with a standard content, which allows you to send the mail with your cv directly.

The CHANGELOG.md contains a detailed description on what has changed. 

latex_curriculum_vitae is released under the GPL3 License, see the file 'License.md' for more information.

The official web site is:

    https://github.com/saigkill/latex_curriculum_vitae

|What| Where |
|----|-------|
| code | https://github.com/saigkill/latex_curriculum_vitae |
| docs | https://saigkill.github.io/latex_curriculum_vitae/ |
| apidoc | http://www.rubydoc.info/gems/latex_curriculum_vitae |
|bugs  | https://github.com/saigkill/latex_curriculum_vitae/issues |
| openhub statistics | https://www.openhub.net/p/latex_curriculum_vitae |
| authors blog | https://saschamanns.de |
|min. rubyver | 2.3.0 |

| What | Status |
|------|--------|
|last public version  | [![Version](https://badge.fury.io/rb/latex_curriculum_vitae.png)](http://rubygems.org/gems/latex_curriculum_vitae) |
|downloads latest | [![LastPublic](https://img.shields.io/gem/dtv/latex_curriculum_vitae.svg)](http://rubygems.org/gems/latex_curriculum_vitae)|
|downloads all | [![AllDown](https://img.shields.io/gem/dt/latex_curriculum_vitae.svg)](http://rubygems.org/gems/latex_curriculum_vitae) |
|continuous integration | ![CI](https://github.com/saigkill/latex_curriculum_vitae/workflows/CI/badge.svg?branch=master&event=push) |
|code quality | [![Codeclimate](https://api.codeclimate.com/v1/badges/58bdf05db541e741c5d3/maintainability)](https://codeclimate.com/github/saigkill/latex_curriculum_vitae) |
|security | [![Security](https://hakiri.io/github/saigkill/latex_curriculum_vitae/master.svg)](https://hakiri.io/github/saigkill/latex_curriculum_vitae/master) |
|documentation quality | [![Documentation](http://inch-ci.org/github/saigkill/latex_curriculum_vitae.svg?branch=master)](http://inch-ci.org/github/saigkill/latex_curriculum_vitae) |

## SCREENSHOT

[![Screenshot](https://saschamanns.de/img/screenshots/lcv-gui.png)](https://github.com/saigkill/latex_curriculum_vitae)

## FEATURES:

* Ruby based LaTEX publisher for job applications
* It use Pony and Evolution for sending the email directly

## SYNOPSIS:

    $ latexcv.rb    

The resulting PDF and the CSV file are placed in /home/You/.local/latex_curriculum_vitae.

This Gem was programmed and tested for Linux systems. If anyone would like to make the methods also fit for other OS,
i'm happy about Pull requests.

## REQUIREMENTS:

* notifier
* pony
* combine_pdf
* url_shortener

## REQUIREMENTS (hard dependencies):

* pdflatex & xelatex
* yad
* poppler (pdfunite)

## INSTALL:

The installation is very easy.

    gem install latex_curriculum_vitae
    cd /path/to/gem (In case of using RVM ~/.rvm/gems/ruby-2.2.3/gems/latex_curriculum_vitae)
    ./bin/setup

You have to run the setup after each gem update.

## DEVELOPERS:

After checking out the source, run:

    $ rake newb

This task will install any missing dependencies, run the tests/specs, and generate the RDoc.